﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Lamp : MonoBehaviour {

	[Header("Sprites")]
	public Sprite[] sprites;

	private SpriteRenderer _spriteRenderer;

	private bool bConnected;

	private void Awake() {
		_spriteRenderer = GetComponent<SpriteRenderer>();
	}

	private bool TurnLight(int color) {
		bool result = Random.Range(0, 10) > 1;

		_spriteRenderer.sprite = sprites[color];

		return result;
	}

	public void ConnectToStation(Station station) {
		if (bConnected) {
			return;
		}
		station.Connect(TurnLight);
		bConnected = true;
	}
}
